Go (SDK)
package main
import(
"context"
mka1 "github.com/MeetKai/mka1-sdks/go"
"log"
)
func main() {
ctx := context.Background()
s := mka1.New(
mka1.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
res, err := s.Llm.VectorStores.ListPermissions(ctx, "vs_abc123", nil)
if err != nil {
log.Fatal(err)
}
if res.VectorStorePermissionList != nil {
// handle response
}
}using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.VectorStores.ListPermissionsAsync(vectorStoreId: "vs_abc123");
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.vector_stores.list_permissions(vector_store_id="vs_abc123")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.vectorStores.listPermissions({
vectorStoreId: "vs_abc123",
});
console.log(result);
}
run();curl --request GET \
--url https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/permissions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/permissions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/permissions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/permissions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "vector_store.permission",
"vector_store_id": "vs_abc123",
"grantee_type": "user",
"user_id": "user_owner1",
"role": "owner"
},
{
"object": "vector_store.permission",
"vector_store_id": "vs_abc123",
"grantee_type": "team",
"user_id": null,
"role": "reader"
},
{
"object": "vector_store.permission",
"vector_store_id": "vs_abc123",
"grantee_type": "user",
"user_id": "user_8f2c1",
"role": "writer"
}
]
}Vector Stores
List vector store permissions
Lists who holds a role on the vector store: its owner, then its team when that permission is set, then individual principals. Anyone who can read the store can list its permissions. Organization admins of the store’s team can always read it and are not listed. Returns 410 once the vector store has expired.
GET
/
api
/
v1
/
llm
/
vector_stores
/
{vector_store_id}
/
permissions
Go (SDK)
package main
import(
"context"
mka1 "github.com/MeetKai/mka1-sdks/go"
"log"
)
func main() {
ctx := context.Background()
s := mka1.New(
mka1.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
res, err := s.Llm.VectorStores.ListPermissions(ctx, "vs_abc123", nil)
if err != nil {
log.Fatal(err)
}
if res.VectorStorePermissionList != nil {
// handle response
}
}using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.VectorStores.ListPermissionsAsync(vectorStoreId: "vs_abc123");
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.vector_stores.list_permissions(vector_store_id="vs_abc123")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.vectorStores.listPermissions({
vectorStoreId: "vs_abc123",
});
console.log(result);
}
run();curl --request GET \
--url https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/permissions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/permissions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/permissions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/permissions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "vector_store.permission",
"vector_store_id": "vs_abc123",
"grantee_type": "user",
"user_id": "user_owner1",
"role": "owner"
},
{
"object": "vector_store.permission",
"vector_store_id": "vs_abc123",
"grantee_type": "team",
"user_id": null,
"role": "reader"
},
{
"object": "vector_store.permission",
"vector_store_id": "vs_abc123",
"grantee_type": "user",
"user_id": "user_8f2c1",
"role": "writer"
}
]
}Authorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Path Parameters
The ID of the vector store.
Was this page helpful?
⌘I